import APIEvent from "./APIEvent.js"
import APIEventType from "./APIEventType.js"

export default class BalanceChangeEvent extends APIEvent{
    /**
     * @type {Map<string, number>} mapping from symbol to current balance
     */
    changedBalances = new Map();

    constructor(){
        super(APIEventType.BALANCE_CHANGE);
    }

    /** 
     * @param {string} symbol 
     * @param {number} balance 
     */
    setChangedBalance(symbol, balance){
        this.changedBalances.set(symbol, balance);
    }
}